PDA

View Full Version : [ubuntu] need help installing printer driver on ubuntu 10.10



antiprofit
January 22nd, 2011, 01:03 AM
I have a Canon iP1800 for which I need to install a driver. I have no idea how to go about this. I already downloaded the driver from Canon. Any help would be hot.

napoleon3665
January 22nd, 2011, 01:45 AM
did you download a linux driver or a windows driver?

antiprofit
January 22nd, 2011, 08:46 PM
A linux driver, but I don't know what to do with the file.

Also, I just need a linux driver, not specifically a ubuntu 10.10 driver, right?

Daveth
January 22nd, 2011, 10:29 PM
this may guide you, though it is a little old


http://ibr94.blogspot.com/2007/08/canon-pixma-ip1880-printer-in-ubuntu.html

You may find that one of the resulting deb files has dependency issues with newer Ubuntu. I had this problem with a driver for my MP610, and had to search the net for a newer build. It was an Asian site, but I forget where. Try it, and get back if it fails.

antiprofit
January 24th, 2011, 04:05 AM
that didn't seem to work. I sent canon help an email asking if there even exists an ip1800 driver for linux because it doesn't on their site.

Daveth
January 28th, 2011, 11:37 PM
try this then


http://caletalinux.blogspot.com/2007/07/canon-ip1800-drivers-en-ubuntu-feisty.html

there are 2 packages, and you may find one of them fails because of dependency problems, but if you hunt the net you should find a newer version, as I did.

or this


http://tips-linux.net/en/linux-ubuntu/linux-driver/canon-pixma-ip1900ip1800